
QGIS Application - Bug report #21779

Export to DXF does not handle multisurface geometries

2019-04-05 09:36 PM - Thomas McGill

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: DXF export

Affected QGIS version:3.6.1 Regression?: Yes

Operating System: Win 7 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29594

Description

Up until earlier this week, I could use the [Project][Export DXF] command to export a .dxf file containing data from ArcGIS FeatureServer

layers in my project. After upgrading from 3.4.6, this feature stopped working properly. The .dxf file is created, but it is empty.

I have tried the following:

1. completely uninstalling, deleting my user profiles, and reinstalling. 

2. Uninstalling, deleting my user profiles, and rolling back to previous versions.

3. Tested using multiple servers from various municipalities

4. Unchecking the "Export features intersecting the current map extent" box.

5. Changing the symbology and scale settings.

None of these have any effect... Any help would be greatly appreciated.

Associated revisions

Revision d2a0eb2e - 2019-05-23 09:56 AM - Nyall Dawson

Fix dxf export ignores multisurface geometry types

Fixes #21779

Revision bdbca5aa - 2019-05-23 09:56 AM - Nyall Dawson

Fix dxf export ignores multisurface geometry types

Fixes #21779

Revision 11f6ba8d - 2019-05-23 11:34 PM - Nyall Dawson

Fix dxf export ignores multisurface geometry types

Fixes #21779

Revision 227397f5 - 2019-05-24 02:24 AM - Nyall Dawson

Fix dxf export ignores multisurface geometry types
Fixes #21779

History

#1 - 2019-04-06 12:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Export DXF using ArcGIS FeatureServer Layers Quit Working to Export to DXF from ArcGIS FeatureServer Layers does not 

work  anymore

- Category changed from Web Services clients/ArcGIS to DXF export

- Regression? changed from No to Yes

- Affected QGIS version changed from 3.7(master) to 3.4.6

can you post any url we can use for tests?

#2 - 2019-04-08 07:06 PM - Thomas McGill

Giovanni Manghi wrote:

can you post any url we can use for tests?

An example layer is:

https://gis.fultoncountyga.gov/arcgis/rest/services/MapServices/FultonStreetBaseMap/MapServer/205

Currently, I have reinstalled QGIS 3.6.1.

#3 - 2019-04-08 07:24 PM - Thomas McGill

- Assignee changed from Sandro Mani to Giovanni Manghi

Since my previous posting, I have tried local datasets (geopackage) in addition to ArcGIS FeatureServer layers. I have done this in 3.6.1. Unfortunately,

none of these layers export correctly to DXF anymore. I have confirmed this behavior using two different computers.

#4 - 2019-04-10 05:29 PM - Giovanni Manghi

- Subject changed from Export to DXF from ArcGIS FeatureServer Layers does not work  anymore to Export to DXF does not work  anymore

- Affected QGIS version changed from 3.4.6 to 3.6.1

- Assignee deleted (Giovanni Manghi)

#5 - 2019-05-23 08:59 AM - Nyall Dawson

- Status changed from Feedback to In Progress

- Assignee set to Nyall Dawson

#6 - 2019-05-23 09:00 AM - Nyall Dawson

- Subject changed from Export to DXF does not work  anymore to Export to DXF does not handle multisurface geometries

#7 - 2019-05-23 11:34 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|11f6ba8d5d73d7c92ab5b8101b92b1747446ad12.
